/*
** stdarg.h for vbcc-PowerOpen/WarpOS
**
** V1.0 21-Apr-98 phx
**      vbcc PPC CG V0.2n provides a completely different vararg-solution:
**      The slots for fixed args remain reserved in the stack frame.
**      The address of lastarg+1 is guaranteed to point to the first vararg.
** V0.1 19-Apr-98 phx
**      created
*/

#ifndef __STDARG_H
#define __STDARG_H 1

typedef unsigned char *va_list;

#define va_start(ap, la) ((ap) = (va_list)(&la+1))
#define va_arg(ap, type) ((ap) += (sizeof(type)<sizeof(int)?sizeof(int):sizeof(type)), ((type *)(ap))[-1])
#define va_end(ap) ((ap) = 0L)

#endif
